=== debian/control ===
Source: hurd
Section: admin
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Standards-Version: 3.9.2
Build-Depends: mig (>= 1.3-2), gnumach-dev (>= 2:1.3.99.dfsg.cvs20070526),
 libc0.3-dev (>= 2.9), texinfo, texi2html, libncursesw5-dev, cdbs,
 debhelper (>= 4.2.0), gcc-4.6, dpkg (>= 1.15.4) | install-info,
 libparted-dev
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
 Neal H. Walfield <neal@debian.org>, Michael Banck <mbanck@debian.org>, 
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/hurd.git
Vcs-Git: git://git.debian.org/pkg-hurd/hurd.git

Package: hurd
Essential: yes
Depends: ${misc:Depends}, sysv-rc, ${shlibs:Depends}
Breaks: gnumach (<< 2:1.3.99.dfsg.cvs20070526-1), libc0.3 (<< 2.11.2-12)
Suggests: hurd-doc
Recommends: bf-utf-source
Provides: makedev, login
Replaces: makedev, login, random-egd
Conflicts: makedev, login
Architecture: hurd-any
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries.

Package: hurd-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, hurd (= ${binary:Version})
Provides: libsem-dev
Replaces: libsem-dev
Conflicts: libsem-dev
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.

Package: hurd-dbg
Priority: extra
Section: debug
Architecture: hurd-any
Depends: ${misc:Depends}, hurd (= ${binary:Version})
Description: GNU Hurd (debugging files)
 This package includes the unstripped binaries and libraries.

Package: hurd-doc
Priority: optional
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: hurd (>= ${source:Version})
Description: GNU Hurd manual
 This package includes the manual in info and HTML format.

Package: hurd-udeb
Package-Type: udeb
Priority: optional
Section: debian-installer
Architecture: hurd-any
Depends: ${misc:Depends}
Provides: hurd, ext2-modules, fat-modules, ipv6-modules, isofs-modules, loop-modules, mouse-modules, nfs-modules, socket-modules, ufs-modules
Description: GNU Hurd - udeb
 This is the GNU Hurd udeb package. It contains essential system software and
 libraries.
