=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_BUILDDIR = $(DEB_SRCDIR)/build

CC=gcc-4.6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS := --disable-profile --enable-static-progs='ext2fs,ufs,iso9660fs'
DEB_MAKE_INSTALL_TARGET = install prefix=$(DEB_DESTDIR) sysconfdir=$(DEB_DESTDIR)/etc localstatedir=$(DEB_DESTDIR)/var
DEB_DH_STRIP_ARGS := --dbg-package=hurd
DEB_DH_MAKESHLIBS_ARGS_hurd := --add-udeb="hurd-udeb"

DDE_DRIVERS = e100 e1000 pcnet32 rtl8139 ne2k_pci

build/hurd::
	cd $(DEB_BUILDDIR)/doc && texi2html -split chapter ../../doc/hurd.texi
	$(MAKE) -C libdde_linux26 BUILDDIR=$(CURDIR)/build
	for i in $(DDE_DRIVERS) ; \
	do \
		$(MAKE) -C dde_$$i BUILDDIR=$(CURDIR)/build || exit 1 ; \
	done

clean::
	$(MAKE) -C libdde_linux26 cleanall
	rm -f $$(find libdde_linux26 -name \*.d)
	rm -fr libdde_linux26/build
	rm -fr libdde_linux26/lib/src/gen_crc32table libdde_linux26/lib/src/crc32table.h libdde_linux26/lib/src/timeconst.h
	for i in $(DDE_DRIVERS) ; \
	do \
		$(MAKE) -C dde_$$i cleanall ; \
	done

install/hurd::
	# runsystem is managed by update-alternatives
	mv debian/tmp/lib/hurd/runsystem debian/tmp/lib/hurd/runsystem.gnu

	# move away fakeroot, ps, uptime, vmstat and w to not conflict with the
	# ones  from other packages
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/bin/fakeroot debian/tmp/usr/bin/fakeroot-hurd
	mv debian/tmp/bin/ps debian/tmp/bin/ps-hurd
	mv debian/tmp/bin/uptime debian/tmp/usr/bin/uptime-hurd
	mv debian/tmp/bin/vmstat debian/tmp/usr/bin/vmstat-hurd
	mv debian/tmp/bin/w debian/tmp/usr/bin/w-hurd

	# move away halt and reboot to not conflict with sysvinit
	# (they will be handled as alternatives)
	mv debian/tmp/sbin/halt debian/tmp/sbin/halt-hurd
	mv debian/tmp/sbin/reboot debian/tmp/sbin/reboot-hurd

	install -m664 debian/hurd-console.default debian/hurd/etc/default/hurd-console

	install -m664 $(DEB_SRCDIR)/console/motd.UTF8 debian/hurd/etc/
	install -m664 $(DEB_SRCDIR)/release/servers.boot debian/hurd/boot/

	$(MAKE) -C libdde_linux26 INSTALLDIR=$(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include install

install/hurd-dev::
	install -m644 debian/local/soundcard.h debian/tmp/include/sys
	install -m644 debian/local/cdrom.h debian/tmp/include/sys

SUID_PROGRAMS = /bin/ids /bin/login /bin/ps-hurd /usr/bin/w-hurd

binary-predeb/hurd::
	chmod u+s $(patsubst %, $(CURDIR)/debian/$(cdbs_curpkg)%, $(SUID_PROGRAMS))
binary-predeb/hurd-dev:: 
	rm -f $(CURDIR)/debian/hurd-dev/lib/*_pic.a
